From 7c3197eba8902bbdab0025c14e5a9819e6f46a5f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 23 2021 02:06:02 +0000
Subject: [PATCH 2136/2232] Format PR 689 with rustfmt


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 052b248..d2c260d 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -236,7 +236,9 @@ fn check_type_ref(cx: &mut Check, ty: &Ref) {
 }
 
 fn check_type_ptr(cx: &mut Check, ty: &Ptr) {
-    if let Type::Ident(_) = ty.inner { return }
+    if let Type::Ident(_) = ty.inner {
+        return;
+    }
 
     cx.error(ty, "unsupported pointer type");
 }
diff --git a/syntax/parse.rs b/syntax/parse.rs
index 8f8075a..f234d5a 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -11,9 +11,12 @@ use crate::syntax::{
 use proc_macro2::{Delimiter, Group, Span, TokenStream, TokenTree};
 use quote::{format_ident, quote, quote_spanned};
 use std::mem;
-use syn::{TypePtr, parse::{ParseStream, Parser}};
 use syn::punctuated::Punctuated;
 use syn::{
+    parse::{ParseStream, Parser},
+    TypePtr,
+};
+use syn::{
     Abi, Attribute, Error, Expr, Fields, FnArg, ForeignItem, ForeignItemFn, ForeignItemType,
     GenericArgument, GenericParam, Generics, Ident, ItemEnum, ItemImpl, ItemStruct, Lit, LitStr,
     Pat, PathArguments, Result, ReturnType, Signature as RustSignature, Token, TraitBound,
@@ -588,7 +591,10 @@ fn parse_extern_fn(
                     let name = pair(Namespace::default(), &ident, None, None);
                     if let Type::Ptr(_) = &ty {
                         if unsafety.is_none() {
-                            return Err(Error::new_spanned(arg, "pointer argument requires that the function be marked unsafe"));
+                            return Err(Error::new_spanned(
+                                arg,
+                                "pointer argument requires that the function be marked unsafe",
+                            ));
                         }
                     }
                     args.push_value(Var {
@@ -1105,7 +1111,7 @@ fn parse_type_ptr(ty: &TypePtr) -> Result<Type> {
     }
 
     let inner = parse_type(&ty.elem)?;
-    
+
     Ok(Type::Ptr(Box::new(Ptr {
         star,
         mutable,
diff --git a/tests/test.rs b/tests/test.rs
index 2c7f763..f8ed205 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -349,5 +349,7 @@ fn test_raw_ptr() {
 
     let c3 = ffi::c_return_opaque_raw_ptr(2025);
     assert_eq!(2025, unsafe { ffi::c_take_opaque_raw_ptr(c3) });
-    assert_eq!(2025, unsafe { ffi::c_take_opaque_mut_raw_ptr(c3 as *mut ffi::C) }); // deletes c3
-}
\ No newline at end of file
+    assert_eq!(2025, unsafe {
+        ffi::c_take_opaque_mut_raw_ptr(c3 as *mut ffi::C)
+    }); // deletes c3
+}
diff --git a/tests/ui/unsupported_ptr.stderr b/tests/ui/unsupported_ptr.stderr
index 03756bf..09b8a1e 100644
--- a/tests/ui/unsupported_ptr.stderr
+++ b/tests/ui/unsupported_ptr.stderr
@@ -27,14 +27,14 @@ error: unsupported pointer type
 error: unsupported pointer type
   --> $DIR/unsupported_ptr.rs:25:35
    |
-25 |         fn get_ptr_reference() -> *mut & C;
-   |                                   ^^^^^^^^
+25 |         fn get_ptr_reference() -> *mut &C;
+   |                                   ^^^^^^^
 
 error: unsupported reference type
   --> $DIR/unsupported_ptr.rs:26:35
    |
-26 |         fn get_reference_ptr() -> & *mut C;
-   |                                   ^^^^^^^^
+26 |         fn get_reference_ptr() -> &*mut C;
+   |                                   ^^^^^^^
 
 error: unsupported vector target type
   --> $DIR/unsupported_ptr.rs:35:42

